---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/v2/llms.txt
---

# Get specific draft campaign

Request URI for Sub Account

```
GET /accounts/1/drafts/14597
```

<HTMLBlock>{`
<div></div>
<style></style>
`}</HTMLBlock>

Get a specific draft for a workspace.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/{account_id}/drafts/{draft_id}": {
      "get": {
        "summary": "Get specific draft campaign",
        "description": "",
        "operationId": "get-drafts-of-current--sub-account-1",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Use 'current' keyword to refer to the Main Workspace or the Integer Workspace Id",
            "required": true,
            "schema": {
              "type": "string",
              "default": "current"
            }
          },
          {
            "name": "draft_id",
            "in": "path",
            "description": "Draft Id",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"_data\": {\n    \"draftId\": 14597,\n    \"createdBy\": 1,\n    \"platform\": \"website\",\n    \"isAdvancedMode\": false,\n    \"currentDraftStepIndex\": 2,\n    \"type\": \"ab\",\n    \"urls\": [\n      {\n        \"type\": \"url\",\n        \"value\": \"http:\\/\\/wingify.com\"\n      }\n    ],\n    \"primaryUrl\": \"http:\\/\\/wingify.com\",\n    \"globalSegment\": {\n      \"segmentationType\": \"pre\",\n      \"platform\": \"website\",\n      \"id\": \"1\",\n      \"type\": \"predefined\",\n      \"name\": \"Direct\",\n      \"description\": \"Segment to allow only direct traffic\"\n    },\n    \"variations\": [\n      {\n        \"platform\": \"website\",\n        \"id\": 1,\n        \"name\": \"Control\",\n        \"editorData\": {\n          \"stack\": []\n        },\n        \"deployContent\": []\n      },\n      {\n        \"platform\": \"website\",\n        \"id\": 2,\n        \"name\": \"Variation 1\",\n        \"editorData\": {\n          \"stack\": [\n            {\n              \"el\": 0,\n              \"op\": {\n                \"opName\": \"html\",\n                \"html\": \"The company  pioneered easy A\\/B testing\"\n              },\n              \"depending\": false,\n              \"XPath\": \"BODY > NOSCRIPT:first-child + SCRIPT + HEADER#top_header + SECTION > DIV:first-child > DIV:first-child > H2:first-child\",\n              \"parentTag\": \"DIV\"\n            }\n          ]\n        },\n        \"deployContent\": [\n          {\n            \"jsString\": \"var ctx=vwo_$(x);ctx.html(\\\"The company  pioneered easy A\\/B testing\\\");\",\n            \"cssSelector\": \"HEADER#top_header + SECTION > DIV:first-child > DIV:first-child > H2:first-child\"\n          }\n        ]\n      }\n    ],\n    \"status\": \"draft\",\n    \"goals\": [\n      {\n        \"id\": 1,\n        \"name\": \"Goal 1\",\n        \"type\": \"visitPage\",\n        \"isPrimary\": true,\n        \"urls\": [\n          {\n            \"type\": \"url\",\n            \"value\": \"http:\\/\\/wingify.com\"\n          }\n        ],\n        \"cssSelectors\": []\n      }\n    ],\n    \"name\": \"Campaign 142\",\n    \"newCampaignName\": \"Campaign 142\",\n    \"percentTraffic\": 100,\n    \"isHeatmapEnabled\": true\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "object",
                      "properties": {
                        "draftId": {
                          "type": "integer",
                          "example": 14597,
                          "default": 0
                        },
                        "createdBy": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "platform": {
                          "type": "string",
                          "example": "website"
                        },
                        "isAdvancedMode": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "currentDraftStepIndex": {
                          "type": "integer",
                          "example": 2,
                          "default": 0
                        },
                        "type": {
                          "type": "string",
                          "example": "ab"
                        },
                        "urls": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "type": {
                                "type": "string",
                                "example": "url"
                              },
                              "value": {
                                "type": "string",
                                "example": "http://wingify.com"
                              }
                            }
                          }
                        },
                        "primaryUrl": {
                          "type": "string",
                          "example": "http://wingify.com"
                        },
                        "globalSegment": {
                          "type": "object",
                          "properties": {
                            "segmentationType": {
                              "type": "string",
                              "example": "pre"
                            },
                            "platform": {
                              "type": "string",
                              "example": "website"
                            },
                            "id": {
                              "type": "string",
                              "example": "1"
                            },
                            "type": {
                              "type": "string",
                              "example": "predefined"
                            },
                            "name": {
                              "type": "string",
                              "example": "Direct"
                            },
                            "description": {
                              "type": "string",
                              "example": "Segment to allow only direct traffic"
                            }
                          }
                        },
                        "variations": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "platform": {
                                "type": "string",
                                "example": "website"
                              },
                              "id": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "name": {
                                "type": "string",
                                "example": "Control"
                              },
                              "editorData": {
                                "type": "object",
                                "properties": {
                                  "stack": {
                                    "type": "array"
                                  }
                                }
                              },
                              "deployContent": {
                                "type": "array"
                              }
                            }
                          }
                        },
                        "status": {
                          "type": "string",
                          "example": "draft"
                        },
                        "goals": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "name": {
                                "type": "string",
                                "example": "Goal 1"
                              },
                              "type": {
                                "type": "string",
                                "example": "visitPage"
                              },
                              "isPrimary": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "urls": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "example": "url"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "http://wingify.com"
                                    }
                                  }
                                }
                              },
                              "cssSelectors": {
                                "type": "array"
                              }
                            }
                          }
                        },
                        "name": {
                          "type": "string",
                          "example": "Campaign 142"
                        },
                        "newCampaignName": {
                          "type": "string",
                          "example": "Campaign 142"
                        },
                        "percentTraffic": {
                          "type": "integer",
                          "example": 100,
                          "default": 0
                        },
                        "isHeatmapEnabled": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```